| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/parasiticdatabuffer.h File Reference

Databuffer pointing into another databuffer. More...

`#include "csextern.h"`
`#include "csutil/pooledscfclass.h"`
`#include "csutil/scf_implementation.h"`
`#include "iutil/databuff.h"`

Go to the source code of this file.

## Classes
class | csParasiticDataBuffer
| A databuffer pointing into another databuffer. More...
class | csParasiticDataBufferBase
| Base class for pooled and unpooled parasitic data buffer. More...
class | csParasiticDataBufferPooled
| A databuffer pointing into another databuffer, pooled version. More...

## Detailed Description

Databuffer pointing into another databuffer.

Definition in file parasiticdatabuffer.h.